
Figure - Bug #116421
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开多个应用，进入recent，点击任意应用的小窗按钮，进行应用状态切换，
进入recent，该应用的进程卡片消失
2023-02-21 17:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-21

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Frequently Fixed Version: 2023-03-02

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、任意打开多个应用（有小窗功能的，至少三个）

2、进入recent

3、点击任意应用的小窗按钮

4、切换小窗至全屏模式

5、进入recent

【预期结果】

5、任务管理器中正常显示该应用进程

【实际结果】

5、进入recent，该应用的进程卡片消失

【复现率】

2/3

History

#1 - 2023-02-22 15:47 - CD APP-王宏

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-23 16:01 - CD APP-王宏

- % Done changed from 0 to 10

■ Current conclusion

代码已提交

■ My analysis

此时处代码和小窗以及获取tasks相关的FW接口相关，

需要和小窗以及tasks获取接口人联调，

■ Next action
1.回退 https://share.thundersoft.com/redmine/issues/115173 提交的代码

2.tasks获取接口人也回退之前相关的修改，要移除的操作皆由recent接手，避免FW移除下的数据延时问题

3.和小窗联调，测试多种情况下，小窗的数据及时性问题

#3 - 2023-02-23 16:57 - CD APP-王宏

- Status changed from New to ASSIGNED

#4 - 2023-02-24 18:26 - CD APP-王宏

- Due date set to 2023-03-03

等待小窗调整完成后入库

#5 - 2023-02-28 10:25 - CD APP-王宏

■ Current conclusion

代码已提交

■ My analysis

目前还会出现此类问题，已查明原因，是由于小窗的状态还未消除，导致taskList中的相关task被移除

■ Next action

和小窗联调，测试多种情况下，小窗的数据及时性问题

#6 - 2023-03-01 17:55 - CD APP-王宏

- % Done changed from 10 to 50

■ Current conclusion

代码已提交

■ My analysis

小窗以及taskList相关问题，已经配合解决

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/185024

#7 - 2023-03-01 20:01 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

- Root cause set to 编码问题

#8 - 2023-03-02 19:42 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

3.2
验证通过

#9 - 2023-03-02 19:43 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-21 17-02-33.mp4 17.1 MB 2023-02-21 CD TEST-方永红
